All of lore.kernel.org
 help / color / mirror / Atom feed
From: jbrassow@sourceware.org <jbrassow@sourceware.org>
To: cluster-devel.redhat.com
Subject: [Cluster-devel] cluster/rgmanager/src/resources lvm.sh
Date: 2 Jul 2007 21:58:34 -0000	[thread overview]
Message-ID: <20070702215834.7291.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	jbrassow at sourceware.org	2007-07-02 21:58:34

Modified files:
	rgmanager/src/resources: lvm.sh 

Log message:
	<Previous check-in>
	Require vg_name to be unique.  Allowing multiple LVs from the same VG
	on different machines can lead to races when updating metadata during
	device failures.
	</Previous check-in>
	
	We can do better.  This patch puts the validation in lvm.sh so that
	it can print out a understandable error message.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm.sh.diff?cvsroot=cluster&r1=1.8&r2=1.9

--- cluster/rgmanager/src/resources/lvm.sh	2007/05/29 14:33:52	1.8
+++ cluster/rgmanager/src/resources/lvm.sh	2007/07/02 21:58:34	1.9
@@ -71,7 +71,7 @@
 	    <content type="string"/>
         </parameter>
 
-        <parameter name="vg_name" required="1" unique="1">
+        <parameter name="vg_name" required="1">
             <longdesc lang="en">
                 If you can see this, your GUI is broken.
             </longdesc>
@@ -465,6 +465,17 @@
 		exit 0
 	fi
 
+	if ! lvs $OCF_RESKEY_vg_name >& /dev/null; then
+		lv_count=0
+	else
+		lv_count=`lvs --noheadings -o name $OCF_RESKEY_vg_name | grep -v _mlog | grep -v _mimage | grep -v nconsistent | wc -l`
+	fi
+	if [ $lv_count -gt 1 ]; then
+		ocf_log err "HA LVM requires Only one logical volume per volume group."
+		ocf_log err "There are currently $lv_count logical volumes in $OCF_RESKEY_vg_name"
+		ocf_log err "Failing HA LVM start of $OCF_RESKEY_vg_name/$OCF_RESKEY_lv_name"
+		exit $OCF_ERR_GENERIC
+	fi
 	ha_lvm_proper_setup_check || exit 1
 		
 	if [ -z $OCF_RESKEY_lv_name ]; then



             reply	other threads:[~2007-07-02 21:58 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-07-02 21:58 jbrassow [this message]
  -- strict thread matches above, loose matches on Subject: below --
2008-02-06 17:43 [Cluster-devel] cluster/rgmanager/src/resources lvm.sh jbrassow
2008-02-06 16:40 jbrassow
2008-01-03 20:56 jbrassow
2007-07-02 21:59 jbrassow
2007-07-02 21:59 jbrassow
2007-05-29 14:37 jbrassow
2007-05-29 14:35 jbrassow
2007-05-29 14:33 jbrassow
2007-05-09 20:51 jbrassow
2007-05-09 20:50 jbrassow
2007-05-09 20:48 jbrassow
2007-05-09 18:04 jbrassow
2007-05-09 18:03 jbrassow
2007-05-09 18:00 jbrassow
2007-04-18 19:14 jbrassow
2007-04-18 18:14 jbrassow
2007-04-18 18:09 jbrassow
2007-04-18 17:02 jbrassow
2007-03-08 19:37 jbrassow
2007-02-15 22:49 lhh

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20070702215834.7291.qmail@sourceware.org \
    --to=jbrassow@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.